Bug 868017 - Setting scaling factor on cartridges hampers auto-scaling efficiency
Setting scaling factor on cartridges hampers auto-scaling efficiency
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 17:40 EDT by Rajat Chopra
Modified: 2015-05-14 22:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajat Chopra 2012-10-18 17:40:18 EDT
Description of problem:
Setting scales_from or scales_to beyond the current_scale number of a cartridge of a scalable app renders the auto-scaler in haproxy cartridge with incorrect information. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. On a scalable php app with 2 php gears, set the scales_from to 4
2. Add mysql/or scaleup once (this will increase the php gears to 4)
3. Now check the logs... haproxy auto-scaler keeps sending scale-down requests. The requests get turned down alright but clearly indicates that the haproxy cartridge has not gotten the new min/max for the php cartridge.
  
Actual results:
Haproxy sends useless scaledown requests

Expected results:
Haproxy should not send useless scaledown requests


Additional info:
Comment 1 Rajat Chopra 2012-10-19 13:36:22 EDT
Fixed with rev#cb8dbc6bbc2014f319239724d035470ffa30ae13 in origin-server/master
Comment 2 Meng Bo 2012-10-25 01:52:44 EDT
Checked on devenv_2377, after scale-up the app to the set scaled_from value. 
No scale-down requests found in scale_events.log

Note You need to log in before you can comment on or make changes to this bug.